AM261x MCU+ SDK: MMCSDLLD_Object Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
MMCSDLLD_Object Struct Reference
APIs for SOC Specific Device Drivers » APIs for MMCSD LLD

## Detailed Description

MMCSD Driver Object.

## Data Fields
uint32_t | cmdErrorStat
uint32_t | xferErrorStat
uint8_t * | dataBufIdx
uint32_t | dataBlockCount
uint32_t | dataBlockSize
uint32_t | remainingBlockCount
MMCSDLLD_Transaction * | currentTxn
MMCSDLLD_Transaction | mmcsdTxn
uint32_t | setBusSpeed
uint32_t | setBusWidth
uint8_t | xferState
uint8_t | state
MMCSDLLD_InitHandle | initHandle
void * | args
MMCSD_lld_transferCompleteCallback | transferCompleteCallback

## Field Documentation

## ◆ cmdErrorStat

uint32_t MMCSDLLD_Object::cmdErrorStat

Command Error Status

## ◆ xferErrorStat

uint32_t MMCSDLLD_Object::xferErrorStat

Transfer Error Status

## ◆ dataBufIdx

uint8_t* MMCSDLLD_Object::dataBufIdx

Data buffer index

## ◆ dataBlockCount

uint32_t MMCSDLLD_Object::dataBlockCount

Data Block count used for Transfer

## ◆ dataBlockSize

uint32_t MMCSDLLD_Object::dataBlockSize

Data Block size used for Transfer

## ◆ remainingBlockCount

uint32_t MMCSDLLD_Object::remainingBlockCount

Remaining Block Count

## ◆ currentTxn

MMCSDLLD_Transaction* MMCSDLLD_Object::currentTxn

Pointer to the current Transaction

## ◆ mmcsdTxn

MMCSDLLD_Transaction MMCSDLLD_Object::mmcsdTxn

MMCSDLLD_Transaction object used by driver

## ◆ setBusSpeed

uint32_t MMCSDLLD_Object::setBusSpeed

Set transfer Speed for the Device MMCSDSpeedModesSD

## ◆ setBusWidth

uint32_t MMCSDLLD_Object::setBusWidth

Set bus width MMCSDLLD_BusWidth

## ◆ xferState

uint8_t MMCSDLLD_Object::xferState

Stores the MMCSD Transaction state MMCSD_XferStates

## ◆ state

uint8_t MMCSDLLD_Object::state

Stores the MMCSD state MMCSD_DriverStates

## ◆ initHandle

MMCSDLLD_InitHandle MMCSDLLD_Object::initHandle

Initialization parameters of MMCSD instance

## ◆ args

void* MMCSDLLD_Object::args

Pointer to be used by application to store miscellaneous data

## ◆ transferCompleteCallback

MMCSD_lld_transferCompleteCallback MMCSDLLD_Object::transferCompleteCallback

Callback Function Pointer